summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-07-13 04:30:17 -0400
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-14 21:54:06 -0300
commit3f27426cd257f598a36286abfae5e5d4fa10cfb9 (patch)
tree581474712df8166e3e646316ee8621d48b3f5535 /libraries
parent6eed232d6a6a8f99e504bb9dc90722e6b33ce3b7 (diff)
downloadslackbuilds-3f27426cd257f598a36286abfae5e5d4fa10cfb9.tar.gz
slackbuilds-3f27426cd257f598a36286abfae5e5d4fa10cfb9.tar.xz
libraries/libsigc++-legacy12: Added (C++ typesafe callback system)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libsigc++-legacy12/README8
-rw-r--r--libraries/libsigc++-legacy12/libsigc++-legacy12.SlackBuild100
-rw-r--r--libraries/libsigc++-legacy12/libsigc++-legacy12.info10
-rw-r--r--libraries/libsigc++-legacy12/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/libsigc++-legacy12/README b/libraries/libsigc++-legacy12/README
new file mode 100644
index 0000000000..990be43533
--- /dev/null
+++ b/libraries/libsigc++-legacy12/README
@@ -0,0 +1,8 @@
+libsigc++ implements a typesafe callback system for standard C++. It
+allows you to define signals and to connect those signals to any
+callback function, either global or a member function, regardless
+of whether it is static or virtual.
+
+This is the 1.2 version of libsigc++, which is outdated, but required
+by some packages that haven't been updated to use 2.0 yet. This package
+doesn't conflict with the main libsigc++ package.
diff --git a/libraries/libsigc++-legacy12/libsigc++-legacy12.SlackBuild b/libraries/libsigc++-legacy12/libsigc++-legacy12.SlackBuild
new file mode 100644
index 0000000000..1ce9a9b262
--- /dev/null
+++ b/libraries/libsigc++-legacy12/libsigc++-legacy12.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for libsigc++
+
+# Copyright (C) 2006 paul wisehart wise@lupulin.net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Updated by Andrew Brouwers, abrouwers@gmail.com
+# Modified by Michien van Wessem, <michiel@slackbuilds.org> - 20081029
+
+PRGNAM=libsigc++-legacy12
+VERSION=1.2.7
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=libsigc++
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Don't include the API docs, new code's supposed to be using 2.0 anyway
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libsigc++-legacy12/libsigc++-legacy12.info b/libraries/libsigc++-legacy12/libsigc++-legacy12.info
new file mode 100644
index 0000000000..c5f1177403
--- /dev/null
+++ b/libraries/libsigc++-legacy12/libsigc++-legacy12.info
@@ -0,0 +1,10 @@
+PRGNAM="libsigc++-legacy12"
+VERSION="1.2.7"
+HOMEPAGE="http://libsigc.sourceforge.net/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libsigc++/1.2/libsigc++-1.2.7.tar.bz2"
+MD5SUM="212f48536019e1f003d2509b4c9b36df"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/libraries/libsigc++-legacy12/slack-desc b/libraries/libsigc++-legacy12/slack-desc
new file mode 100644
index 0000000000..1249ec225e
--- /dev/null
+++ b/libraries/libsigc++-legacy12/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE12:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the '12:' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the '12:'.
+
+ |-----handy-ruler---------------------------------------------------|
+libsigc++-legacy12: libsigc++ (typesafe callback system for standard C++)
+libsigc++-legacy12:
+libsigc++-legacy12: libsigc++ implements a typesafe callback system for standard C++.
+libsigc++-legacy12: It allows you to define signals and to connect those signals to any
+libsigc++-legacy12: callback function, either global or a member function, regardless
+libsigc++-legacy12: of whether it is static or virtual.
+libsigc++-legacy12: It also contains adaptor classes for connection of dissimilar
+libsigc++-legacy12: callbacks and has an ease of use unmatched by other C++ callback
+libsigc++-legacy12: libraries. Libsigc++ is licensed under the GNU Library General
+libsigc++-legacy12: Public License, LGPL.
+libsigc++-legacy12: